Bug 430379 - vi consumes 100% cpu - and no response
vi consumes 100% cpu - and no response
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 00:53 EST by JW
Modified: 2008-01-30 06:47 EST (History)
0 users

See Also:
Fixed In Version: vim-7.1.211-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 06:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2008-01-27 00:53:44 EST
Description of problem:
/bin/vi will start consuming 100% cpu and stop responding - no ^c, ^z, ^q, makes
any dofference.

Version-Release number of selected component (if applicable):
vim-minimal-7.1.135-1

How reproducible:
Whenever it happens

Steps to Reproduce:
1. edit a file and wait for it to happen
2.
3.
  
Actual results:
pstack shows:
#0  0x080bed09 in ?? ()
#1  0x080bf40a in ?? ()
#2  0x080bf830 in ?? ()
#3  0x0804eb9c in ?? ()
#4  0x08051556 in ?? ()
#5  0x080521fd in ?? ()
#6  0x0808f82d in ?? ()
#7  0x08093c74 in ?? ()
#8  0x08071c48 in ?? ()
#9  0x0807304c in ?? ()
#10 0x00187390 in __libc_start_main () from /lib/libc.so.6
#11 0x08049f51 in ?? ()


Expected results:


Additional info:
Responds to "kill -STOP" but when continues still consumes 100% cpu and doesn't
redraw screen. pstack shows that executes in tight loop between 0x80bed00 and
0x80bed09 but don't have any debug info (yet). Can be killed however, but
doesn't respond to kill -QUIT unfortunately.
Comment 1 Sammy 2008-01-28 15:11:54 EST
This has been happening to me as well, many times, but unpredictable
what triggers it. I updated it to 7.1.211 and it did not happen yet,
so may be it is resolved.
Comment 2 Karsten Hopp 2008-01-30 06:47:45 EST
JW: Would you mind updating to the latest available vim version for F-8
(vim-7.1.211-1.fc8) and then try to reproduce this problem ?
There was at least one hang fixed, although that was related to search and
replace operations. Feel free to reopen this bugzilla when it happens again and
I'll take a closer look then (steps to reproduce the problem very appreciated).
Thanks...

Note You need to log in before you can comment on or make changes to this bug.